import PreviewThread from './PreviewThread';
import { Link } from 'react-router-dom';

export default function ThreadList(props) {
  return (
    <div className="list_threads">
      {props.thread.map((value) => (
        <Link
          key={value.id}
          to={`/topic/${value.topic_name}/${value.id}/page/1`}
          style={{ textDecoration: 'none' }}
        >
          <PreviewThread content={value} />
        </Link>
      ))}
    </div>
  );
}
